Skip to navigation

List tasks

Paginated list of tasks for the plan manager. Optional filters: participant, assignee, done, priority, project. Requires X-Plan-Manager-Id header.

Authentication

AuthorizationBearer
API key issued for your account. Send as Bearer token in the Authorization header.
X-Plan-Manager-Idstring
Plan manager UUID. Required on all public API requests to scope data access.

Query parameters

participantstringOptionalformat: "uuid"
Filter by participant UUID
assigneestringOptional
Filter by assignee user id
donebooleanOptional
Filter by completion status
priorityenumOptional
Filter by priority
Allowed values:
projectintegerOptional>=1
Filter by Caresquare project id
limitintegerOptional1-1000Defaults to 20

Items per page (max 1000)

offsetintegerOptional>=0Defaults to 0
Number of items to skip. Cannot be combined with after.
afterstringOptional

Keyset cursor. Returns records after this id (or error_code for the error catalogue), ordered by that field ascending. Pass pagination.next_cursor from the previous page. Start a cursor walk with after=0. Cannot be combined with a non-zero offset.

Response

List of tasks
datalist of objects
paginationobject

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error